<script>
    export let subplot;
    export let xScale;
    let titleColor = "#000000";
    $: leftMargin = xScale.range()[0];
    $: if (subplot.title_color) {
        titleColor = subplot.title_color;
    } else {
        titleColor = undefined;
    }
</script>

<g class="framelabel">
    <!-- filter="url(#whiteOutlineEffect)" -->
    {#if titleColor}
        <text
            x={leftMargin + 10}
            y={subplot.computed.y + 6}
            dominant-baseline="hanging"
            text-anchor="begin"
            font-family="-apple-system, 'Helvetica Neue', sans-serif"
            font-size="10pt"
            font-weight="bold"
            fill={titleColor}>
            {subplot.title}
        </text>
    {:else}
        <text
            x={leftMargin + 10}
            y={subplot.computed.y + 6}
            dominant-baseline="hanging"
            text-anchor="begin"
            font-family="-apple-system, 'Helvetica Neue', sans-serif"
            font-size="10pt"
            font-weight="bold"
            class="fill-black dark:fill-white">
            {subplot.title}
        </text>
    {/if}
</g>

<style>
    text {
        user-select: none;
    }
</style>
